Loading...
Searching...
No Matches
NodeDecorator Class Reference
Inheritance diagram for NodeDecorator:
[legend]

## Public Member Functions

| NodeDecorator (Element child)
void | ComputeRequirement () override
| Compute how much space an elements needs.
void | SetBox (Box box) override
| Assign a position and a dimension to an element for drawing.
Requirement | requirement ()
virtual void | Select (Selection &selection)
| Compute the selection of an element.
virtual void | Render (Screen &screen)
| Display an element on a ftxui::Screen.
virtual std::string | GetSelectedContent (Selection &selection)
virtual void | Check (Status *status)

## Protected Attributes

Elements | children_
Requirement | requirement_
Box | box_

## Detailed Description

Definition at line 16 of file node_decorator.hpp.

## Constructor & Destructor Documentation

## NodeDecorator()

NodeDecorator | ( | Element | child | ) |

inline explicit

Definition at line 18 of file node_decorator.hpp.

## Member Function Documentation

## ComputeRequirement()

void ComputeRequirement | ( |  | ) |

override virtual

Compute how much space an elements needs.

Reimplemented from Node.

Definition at line 12 of file node_decorator.cpp.

## SetBox()

void SetBox | ( | Box | box | ) |

override virtual

Assign a position and a dimension to an element for drawing.

Reimplemented from Node.

Definition at line 17 of file node_decorator.cpp.

## requirement()

Requirement requirement | ( |  | ) |

inline inherited

Definition at line 38 of file node.hpp.

## Select()

void Select | ( | Selection & | selection | ) |

virtual inherited

Compute the selection of an element.

Definition at line 49 of file node.cpp.

## Render()

void Render | ( | Screen & | screen | ) |

virtual inherited

Display an element on a ftxui::Screen.

Definition at line 63 of file node.cpp.

## GetSelectedContent()

std::string GetSelectedContent | ( | Selection & | selection | ) |

virtual inherited

Definition at line 76 of file node.cpp.

## Check()

void Check | ( | Status * | status | ) |

virtual inherited

Definition at line 69 of file node.cpp.

## Field Documentation

## children_

Elements children_

protected inherited

Definition at line 65 of file node.hpp.

## requirement_

Requirement requirement_

protected inherited

Definition at line 66 of file node.hpp.

## box_

Box box_

protected inherited

Definition at line 67 of file node.hpp.

The documentation for this class was generated from the following files:

- src/ftxui/dom/node_decorator.hpp
- src/ftxui/dom/node_decorator.cpp